namespace SystemConfig
{
    partial class FrmDeviceEdit
    {
        /// <summary>
        /// 必需的设计器变量。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 清理所有正在使用的资源。
        /// </summary>
        /// <param name="disposing">如果应释放托管资源，为 true；否则为 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
                _formInstance = null;
            }
            base.Dispose(disposing);
        }

        #region Windows 窗体设计器生成的代码

        /// <summary>
        /// 设计器支持所需的方法 - 不要
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.tsmEdit = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.tsmDel = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator2 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem3 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator4 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem2 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator5 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem4 = new System.Windows.Forms.ToolStripMenuItem();
            this.btBack = new System.Windows.Forms.Button();
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.chbCreateLock = new System.Windows.Forms.CheckBox();
            this.chbCollectPut = new System.Windows.Forms.CheckBox();
            this.chbNeedOptimize = new System.Windows.Forms.CheckBox();
            this.tbControlName = new System.Windows.Forms.TextBox();
            this.lblctrolname = new System.Windows.Forms.Label();
            this.lblpic = new System.Windows.Forms.Label();
            this.cbPicture = new System.Windows.Forms.ComboBox();
            this.pbPicture = new System.Windows.Forms.PictureBox();
            this.chbDeviceVisual = new System.Windows.Forms.CheckBox();
            this.chbWaitPallet = new System.Windows.Forms.CheckBox();
            this.chbEndNode = new System.Windows.Forms.CheckBox();
            this.label15 = new System.Windows.Forms.Label();
            this.cbLockedState = new System.Windows.Forms.ComboBox();
            this.button1 = new System.Windows.Forms.Button();
            this.btSave = new System.Windows.Forms.Button();
            this.btNull = new System.Windows.Forms.Button();
            this.tbDeviceName = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.btDeviceKind = new System.Windows.Forms.Button();
            this.tbDeviceKindIndex = new System.Windows.Forms.TextBox();
            this.label2 = new System.Windows.Forms.Label();
            this.label4 = new System.Windows.Forms.Label();
            this.cbCommType = new System.Windows.Forms.ComboBox();
            this.tbDeviceIndex = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.gbCp5611 = new System.Windows.Forms.GroupBox();
            this.tbAddress2 = new System.Windows.Forms.TextBox();
            this.label24 = new System.Windows.Forms.Label();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.tbGetLength = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.tbSendLength = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.tbAddress = new System.Windows.Forms.TextBox();
            this.label8 = new System.Windows.Forms.Label();
            this.gbSerialPort = new System.Windows.Forms.GroupBox();
            this.tbCommSettings = new System.Windows.Forms.TextBox();
            this.label5 = new System.Windows.Forms.Label();
            this.tbPort = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.gbSockects = new System.Windows.Forms.GroupBox();
            this.tbremoteport = new System.Windows.Forms.TextBox();
            this.label11 = new System.Windows.Forms.Label();
            this.tbremoteIP = new System.Windows.Forms.TextBox();
            this.label14 = new System.Windows.Forms.Label();
            this.tblocalport = new System.Windows.Forms.TextBox();
            this.label12 = new System.Windows.Forms.Label();
            this.tblocalIP = new System.Windows.Forms.TextBox();
            this.label13 = new System.Windows.Forms.Label();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.button2 = new System.Windows.Forms.Button();
            this.tbContent = new System.Windows.Forms.TextBox();
            this.btNullQuery = new System.Windows.Forms.Button();
            this.btQuery = new System.Windows.Forms.Button();
            this.label10 = new System.Windows.Forms.Label();
            this.cbField = new System.Windows.Forms.ComboBox();
            this.tabPage3 = new System.Windows.Forms.TabPage();
            this.tbDeviceIndex1 = new System.Windows.Forms.TextBox();
            this.label17 = new System.Windows.Forms.Label();
            this.button27 = new System.Windows.Forms.Button();
            this.button28 = new System.Windows.Forms.Button();
            this.listBox1 = new System.Windows.Forms.ListBox();
            this.button19 = new System.Windows.Forms.Button();
            this.button20 = new System.Windows.Forms.Button();
            this.button17 = new System.Windows.Forms.Button();
            this.button18 = new System.Windows.Forms.Button();
            this.label16 = new System.Windows.Forms.Label();
            this.cbBindingDeviceIndex = new System.Windows.Forms.ComboBox();
            this.tabPage4 = new System.Windows.Forms.TabPage();
            this.tbDeviceIndex2 = new System.Windows.Forms.TextBox();
            this.label18 = new System.Windows.Forms.Label();
            this.btSaveJITLoop = new System.Windows.Forms.Button();
            this.label19 = new System.Windows.Forms.Label();
            this.cbLoopButton = new System.Windows.Forms.ComboBox();
            this.tabPage5 = new System.Windows.Forms.TabPage();
            this.tbDeviceIndex3 = new System.Windows.Forms.TextBox();
            this.label20 = new System.Windows.Forms.Label();
            this.btSaveWIAPause = new System.Windows.Forms.Button();
            this.label21 = new System.Windows.Forms.Label();
            this.cbPauseWeighButton = new System.Windows.Forms.ComboBox();
            this.tabPage6 = new System.Windows.Forms.TabPage();
            this.tbDeviceIndex4 = new System.Windows.Forms.TextBox();
            this.label22 = new System.Windows.Forms.Label();
            this.btSaveContainer = new System.Windows.Forms.Button();
            this.label23 = new System.Windows.Forms.Label();
            this.cbContainerType = new System.Windows.Forms.ComboBox();
            this.dataGridView1 = new System.Windows.Forms.DataGridView();
            this.btSelectOK = new System.Windows.Forms.Button();
            this.contextMenuStrip1.SuspendLayout();
            this.tabControl1.SuspendLayout();
            this.tabPage1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbPicture)).BeginInit();
            this.gbCp5611.SuspendLayout();
            this.gbSerialPort.SuspendLayout();
            this.gbSockects.SuspendLayout();
            this.tabPage2.SuspendLayout();
            this.tabPage3.SuspendLayout();
            this.tabPage4.SuspendLayout();
            this.tabPage5.SuspendLayout();
            this.tabPage6.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
            this.SuspendLayout();
            // 
            // contextMenuStrip1
            // 
            this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tsmEdit,
            this.toolStripSeparator1,
            this.tsmDel,
            this.toolStripSeparator2,
            this.toolStripMenuItem1,
            this.toolStripSeparator3,
            this.toolStripMenuItem3,
            this.toolStripSeparator4,
            this.toolStripMenuItem2,
            this.toolStripSeparator5,
            this.toolStripMenuItem4});
            this.contextMenuStrip1.Name = "contextMenuStrip1";
            this.contextMenuStrip1.Size = new System.Drawing.Size(257, 166);
            // 
            // tsmEdit
            // 
            this.tsmEdit.Name = "tsmEdit";
            this.tsmEdit.Size = new System.Drawing.Size(256, 22);
            this.tsmEdit.Text = "修改设备信息";
            this.tsmEdit.Click += new System.EventHandler(this.tsmEdit_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(253, 6);
            // 
            // tsmDel
            // 
            this.tsmDel.Name = "tsmDel";
            this.tsmDel.Size = new System.Drawing.Size(256, 22);
            this.tsmDel.Text = "删除设备信息";
            this.tsmDel.Click += new System.EventHandler(this.tsmDel_Click);
            // 
            // toolStripSeparator2
            // 
            this.toolStripSeparator2.Name = "toolStripSeparator2";
            this.toolStripSeparator2.Size = new System.Drawing.Size(253, 6);
            // 
            // toolStripMenuItem1
            // 
            this.toolStripMenuItem1.Name = "toolStripMenuItem1";
            this.toolStripMenuItem1.Size = new System.Drawing.Size(256, 22);
            this.toolStripMenuItem1.Text = "修改捆绑设备信息";
            this.toolStripMenuItem1.Click += new System.EventHandler(this.toolStripMenuItem1_Click);
            // 
            // toolStripSeparator3
            // 
            this.toolStripSeparator3.Name = "toolStripSeparator3";
            this.toolStripSeparator3.Size = new System.Drawing.Size(253, 6);
            // 
            // toolStripMenuItem3
            // 
            this.toolStripMenuItem3.Name = "toolStripMenuItem3";
            this.toolStripMenuItem3.Size = new System.Drawing.Size(256, 22);
            this.toolStripMenuItem3.Text = "修改WIA暂停称料请求信息";
            this.toolStripMenuItem3.Click += new System.EventHandler(this.toolStripMenuItem3_Click);
            // 
            // toolStripSeparator4
            // 
            this.toolStripSeparator4.Name = "toolStripSeparator4";
            this.toolStripSeparator4.Size = new System.Drawing.Size(253, 6);
            // 
            // toolStripMenuItem2
            // 
            this.toolStripMenuItem2.Name = "toolStripMenuItem2";
            this.toolStripMenuItem2.Size = new System.Drawing.Size(256, 22);
            this.toolStripMenuItem2.Text = "修改JIT开车到空位请求信息";
            this.toolStripMenuItem2.Click += new System.EventHandler(this.toolStripMenuItem2_Click);
            // 
            // toolStripSeparator5
            // 
            this.toolStripSeparator5.Name = "toolStripSeparator5";
            this.toolStripSeparator5.Size = new System.Drawing.Size(253, 6);
            // 
            // toolStripMenuItem4
            // 
            this.toolStripMenuItem4.Name = "toolStripMenuItem4";
            this.toolStripMenuItem4.Size = new System.Drawing.Size(256, 22);
            this.toolStripMenuItem4.Text = "修改JIT/WIA容器类型检测光电信息";
            this.toolStripMenuItem4.Click += new System.EventHandler(this.toolStripMenuItem4_Click);
            // 
            // btBack
            // 
            this.btBack.Location = new System.Drawing.Point(919, 230);
            this.btBack.Name = "btBack";
            this.btBack.Size = new System.Drawing.Size(54, 21);
            this.btBack.TabIndex = 13;
            this.btBack.Text = "返回";
            this.btBack.UseVisualStyleBackColor = true;
            this.btBack.Click += new System.EventHandler(this.btBack_Click);
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Controls.Add(this.tabPage3);
            this.tabControl1.Controls.Add(this.tabPage4);
            this.tabControl1.Controls.Add(this.tabPage5);
            this.tabControl1.Controls.Add(this.tabPage6);
            this.tabControl1.Location = new System.Drawing.Point(12, 8);
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(901, 262);
            this.tabControl1.TabIndex = 16;
            // 
            // tabPage1
            // 
            this.tabPage1.Controls.Add(this.chbCreateLock);
            this.tabPage1.Controls.Add(this.chbCollectPut);
            this.tabPage1.Controls.Add(this.chbNeedOptimize);
            this.tabPage1.Controls.Add(this.tbControlName);
            this.tabPage1.Controls.Add(this.lblctrolname);
            this.tabPage1.Controls.Add(this.lblpic);
            this.tabPage1.Controls.Add(this.cbPicture);
            this.tabPage1.Controls.Add(this.pbPicture);
            this.tabPage1.Controls.Add(this.chbDeviceVisual);
            this.tabPage1.Controls.Add(this.chbWaitPallet);
            this.tabPage1.Controls.Add(this.chbEndNode);
            this.tabPage1.Controls.Add(this.label15);
            this.tabPage1.Controls.Add(this.cbLockedState);
            this.tabPage1.Controls.Add(this.button1);
            this.tabPage1.Controls.Add(this.btSave);
            this.tabPage1.Controls.Add(this.btNull);
            this.tabPage1.Controls.Add(this.tbDeviceName);
            this.tabPage1.Controls.Add(this.label3);
            this.tabPage1.Controls.Add(this.btDeviceKind);
            this.tabPage1.Controls.Add(this.tbDeviceKindIndex);
            this.tabPage1.Controls.Add(this.label2);
            this.tabPage1.Controls.Add(this.label4);
            this.tabPage1.Controls.Add(this.cbCommType);
            this.tabPage1.Controls.Add(this.tbDeviceIndex);
            this.tabPage1.Controls.Add(this.label1);
            this.tabPage1.Controls.Add(this.gbCp5611);
            this.tabPage1.Controls.Add(this.gbSerialPort);
            this.tabPage1.Controls.Add(this.gbSockects);
            this.tabPage1.Location = new System.Drawing.Point(4, 21);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(893, 237);
            this.tabPage1.TabIndex = 0;
            this.tabPage1.Text = "维护设备信息";
            this.tabPage1.UseVisualStyleBackColor = true;
            // 
            // chbCreateLock
            // 
            this.chbCreateLock.AutoSize = true;
            this.chbCreateLock.Location = new System.Drawing.Point(15, 184);
            this.chbCreateLock.Name = "chbCreateLock";
            this.chbCreateLock.Size = new System.Drawing.Size(138, 16);
            this.chbCreateLock.TabIndex = 67;
            this.chbCreateLock.Text = "禁止自动回收JIT空桶";
            this.chbCreateLock.UseVisualStyleBackColor = true;
            // 
            // chbCollectPut
            // 
            this.chbCollectPut.AutoSize = true;
            this.chbCollectPut.Location = new System.Drawing.Point(430, 118);
            this.chbCollectPut.Name = "chbCollectPut";
            this.chbCollectPut.Size = new System.Drawing.Size(132, 16);
            this.chbCollectPut.TabIndex = 66;
            this.chbCollectPut.Text = "此节点需要货物集放";
            this.chbCollectPut.UseVisualStyleBackColor = true;
            // 
            // chbNeedOptimize
            // 
            this.chbNeedOptimize.AutoSize = true;
            this.chbNeedOptimize.Location = new System.Drawing.Point(273, 118);
            this.chbNeedOptimize.Name = "chbNeedOptimize";
            this.chbNeedOptimize.Size = new System.Drawing.Size(132, 16);
            this.chbNeedOptimize.TabIndex = 65;
            this.chbNeedOptimize.Text = "此节点需要优化调度";
            this.chbNeedOptimize.UseVisualStyleBackColor = true;
            // 
            // tbControlName
            // 
            this.tbControlName.Location = new System.Drawing.Point(486, 150);
            this.tbControlName.Name = "tbControlName";
            this.tbControlName.Size = new System.Drawing.Size(76, 21);
            this.tbControlName.TabIndex = 64;
            this.tbControlName.Visible = false;
            // 
            // lblctrolname
            // 
            this.lblctrolname.AutoSize = true;
            this.lblctrolname.Location = new System.Drawing.Point(337, 154);
            this.lblctrolname.Name = "lblctrolname";
            this.lblctrolname.Size = new System.Drawing.Size(149, 12);
            this.lblctrolname.TabIndex = 63;
            this.lblctrolname.Text = "监控界面上的图形控件名称";
            this.lblctrolname.Visible = false;
            // 
            // lblpic
            // 
            this.lblpic.AutoSize = true;
            this.lblpic.Location = new System.Drawing.Point(117, 154);
            this.lblpic.Name = "lblpic";
            this.lblpic.Size = new System.Drawing.Size(65, 12);
            this.lblpic.TabIndex = 62;
            this.lblpic.Text = "图片源名称";
            this.lblpic.Visible = false;
            // 
            // cbPicture
            // 
            this.cbPicture.FormattingEnabled = true;
            this.cbPicture.Items.AddRange(new object[] {
            "Stack1.ico",
            "Conveyor1.bmp",
            "Conveyor2.bmp",
            "Conveyor3.bmp",
            "Conveyor4.bmp",
            "Conveyor5.bmp",
            "Conveyor6.bmp",
            "Conveyor7.bmp",
            "CARD3.bmp",
            "Scanner.bmp"});
            this.cbPicture.Location = new System.Drawing.Point(188, 151);
            this.cbPicture.Name = "cbPicture";
            this.cbPicture.Size = new System.Drawing.Size(86, 20);
            this.cbPicture.TabIndex = 61;
            this.cbPicture.Visible = false;
            this.cbPicture.SelectedIndexChanged += new System.EventHandler(this.cbPicture_SelectedIndexChanged);
            // 
            // pbPicture
            // 
            this.pbPicture.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbPicture.Location = new System.Drawing.Point(273, 140);
            this.pbPicture.Name = "pbPicture";
            this.pbPicture.Size = new System.Drawing.Size(58, 30);
            this.pbPicture.TabIndex = 60;
            this.pbPicture.TabStop = false;
            this.pbPicture.Visible = false;
            // 
            // chbDeviceVisual
            // 
            this.chbDeviceVisual.AutoSize = true;
            this.chbDeviceVisual.Location = new System.Drawing.Point(15, 154);
            this.chbDeviceVisual.Name = "chbDeviceVisual";
            this.chbDeviceVisual.Size = new System.Drawing.Size(96, 16);
            this.chbDeviceVisual.TabIndex = 59;
            this.chbDeviceVisual.Text = "设备动画显示";
            this.chbDeviceVisual.UseVisualStyleBackColor = true;
            this.chbDeviceVisual.CheckedChanged += new System.EventHandler(this.chbDeviceVisual_CheckedChanged);
            // 
            // chbWaitPallet
            // 
            this.chbWaitPallet.AutoSize = true;
            this.chbWaitPallet.Location = new System.Drawing.Point(129, 118);
            this.chbWaitPallet.Name = "chbWaitPallet";
            this.chbWaitPallet.Size = new System.Drawing.Size(132, 16);
            this.chbWaitPallet.TabIndex = 58;
            this.chbWaitPallet.Text = "此节点可以暂停托盘";
            this.chbWaitPallet.UseVisualStyleBackColor = true;
            // 
            // chbEndNode
            // 
            this.chbEndNode.AutoSize = true;
            this.chbEndNode.Location = new System.Drawing.Point(15, 118);
            this.chbEndNode.Name = "chbEndNode";
            this.chbEndNode.Size = new System.Drawing.Size(108, 16);
            this.chbEndNode.TabIndex = 57;
            this.chbEndNode.Text = "是端头节点设备";
            this.chbEndNode.UseVisualStyleBackColor = true;
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(13, 89);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(53, 12);
            this.label15.TabIndex = 40;
            this.label15.Text = "设备状态";
            // 
            // cbLockedState
            // 
            this.cbLockedState.FormattingEnabled = true;
            this.cbLockedState.Items.AddRange(new object[] {
            "0:空闲",
            "-1:停用"});
            this.cbLockedState.Location = new System.Drawing.Point(72, 86);
            this.cbLockedState.Name = "cbLockedState";
            this.cbLockedState.Size = new System.Drawing.Size(110, 20);
            this.cbLockedState.TabIndex = 39;
            this.cbLockedState.Text = "0:空闲";
            this.cbLockedState.SelectedIndexChanged += new System.EventHandler(this.cbLockedState_SelectedIndexChanged);
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(354, 214);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(68, 21);
            this.button1.TabIndex = 37;
            this.button1.Text = "撤销修改";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // btSave
            // 
            this.btSave.Location = new System.Drawing.Point(508, 214);
            this.btSave.Name = "btSave";
            this.btSave.Size = new System.Drawing.Size(54, 21);
            this.btSave.TabIndex = 35;
            this.btSave.Text = "保存";
            this.btSave.UseVisualStyleBackColor = true;
            this.btSave.Click += new System.EventHandler(this.btSave_Click);
            // 
            // btNull
            // 
            this.btNull.Location = new System.Drawing.Point(236, 214);
            this.btNull.Name = "btNull";
            this.btNull.Size = new System.Drawing.Size(54, 21);
            this.btNull.TabIndex = 34;
            this.btNull.Text = "清空";
            this.btNull.UseVisualStyleBackColor = true;
            this.btNull.Click += new System.EventHandler(this.btNull_Click);
            // 
            // tbDeviceName
            // 
            this.tbDeviceName.Location = new System.Drawing.Point(442, 9);
            this.tbDeviceName.Name = "tbDeviceName";
            this.tbDeviceName.Size = new System.Drawing.Size(144, 21);
            this.tbDeviceName.TabIndex = 31;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(387, 15);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(53, 12);
            this.label3.TabIndex = 30;
            this.label3.Text = "设备名称";
            // 
            // btDeviceKind
            // 
            this.btDeviceKind.Location = new System.Drawing.Point(327, 9);
            this.btDeviceKind.Name = "btDeviceKind";
            this.btDeviceKind.Size = new System.Drawing.Size(54, 21);
            this.btDeviceKind.TabIndex = 29;
            this.btDeviceKind.Text = "检索";
            this.btDeviceKind.UseVisualStyleBackColor = true;
            this.btDeviceKind.Click += new System.EventHandler(this.btDeviceKind_Click);
            // 
            // tbDeviceKindIndex
            // 
            this.tbDeviceKindIndex.Location = new System.Drawing.Point(254, 9);
            this.tbDeviceKindIndex.Name = "tbDeviceKindIndex";
            this.tbDeviceKindIndex.Size = new System.Drawing.Size(76, 21);
            this.tbDeviceKindIndex.TabIndex = 28;
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(173, 15);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(77, 12);
            this.label2.TabIndex = 27;
            this.label2.Text = "设备类型索引";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(6, 46);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(77, 12);
            this.label4.TabIndex = 33;
            this.label4.Text = "通讯接口类型";
            // 
            // cbCommType
            // 
            this.cbCommType.FormattingEnabled = true;
            this.cbCommType.Location = new System.Drawing.Point(89, 43);
            this.cbCommType.Name = "cbCommType";
            this.cbCommType.Size = new System.Drawing.Size(148, 20);
            this.cbCommType.TabIndex = 32;
            this.cbCommType.SelectedIndexChanged += new System.EventHandler(this.cbCommType_SelectedIndexChanged);
            // 
            // tbDeviceIndex
            // 
            this.tbDeviceIndex.Location = new System.Drawing.Point(89, 9);
            this.tbDeviceIndex.Name = "tbDeviceIndex";
            this.tbDeviceIndex.Size = new System.Drawing.Size(76, 21);
            this.tbDeviceIndex.TabIndex = 26;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(6, 12);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(77, 12);
            this.label1.TabIndex = 25;
            this.label1.Text = "设备唯一索引";
            // 
            // gbCp5611
            // 
            this.gbCp5611.Controls.Add(this.tbAddress2);
            this.gbCp5611.Controls.Add(this.label24);
            this.gbCp5611.Controls.Add(this.textBox1);
            this.gbCp5611.Controls.Add(this.tbGetLength);
            this.gbCp5611.Controls.Add(this.label9);
            this.gbCp5611.Controls.Add(this.tbSendLength);
            this.gbCp5611.Controls.Add(this.label7);
            this.gbCp5611.Controls.Add(this.tbAddress);
            this.gbCp5611.Controls.Add(this.label8);
            this.gbCp5611.Location = new System.Drawing.Point(243, 36);
            this.gbCp5611.Name = "gbCp5611";
            this.gbCp5611.Size = new System.Drawing.Size(473, 76);
            this.gbCp5611.TabIndex = 21;
            this.gbCp5611.TabStop = false;
            this.gbCp5611.Text = "CP5611卡通讯";
            this.gbCp5611.Visible = false;
            // 
            // tbAddress2
            // 
            this.tbAddress2.Location = new System.Drawing.Point(337, 11);
            this.tbAddress2.Name = "tbAddress2";
            this.tbAddress2.Size = new System.Drawing.Size(31, 21);
            this.tbAddress2.TabIndex = 13;
            // 
            // label24
            // 
            this.label24.AutoSize = true;
            this.label24.Location = new System.Drawing.Point(240, 15);
            this.label24.Name = "label24";
            this.label24.Size = new System.Drawing.Size(89, 12);
            this.label24.TabIndex = 12;
            this.label24.Text = "DBW2区起始地址";
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(3, 38);
            this.textBox1.Multiline = true;
            this.textBox1.Name = "textBox1";
            this.textBox1.ReadOnly = true;
            this.textBox1.Size = new System.Drawing.Size(464, 35);
            this.textBox1.TabIndex = 11;
            this.textBox1.Text = "举例如下：DBX2.0，起始地址是2，接收字节数是1/8；DBX3.4起始地址是3，接收字节数是5/8";
            // 
            // tbGetLength
            // 
            this.tbGetLength.Location = new System.Drawing.Point(427, 11);
            this.tbGetLength.Name = "tbGetLength";
            this.tbGetLength.Size = new System.Drawing.Size(40, 21);
            this.tbGetLength.TabIndex = 9;
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(374, 17);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(53, 12);
            this.label9.TabIndex = 8;
            this.label9.Text = "接收字数";
            // 
            // tbSendLength
            // 
            this.tbSendLength.Location = new System.Drawing.Point(189, 11);
            this.tbSendLength.Name = "tbSendLength";
            this.tbSendLength.Size = new System.Drawing.Size(44, 21);
            this.tbSendLength.TabIndex = 7;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(134, 17);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(53, 12);
            this.label7.TabIndex = 6;
            this.label7.Text = "发送字数";
            // 
            // tbAddress
            // 
            this.tbAddress.Location = new System.Drawing.Point(97, 10);
            this.tbAddress.Name = "tbAddress";
            this.tbAddress.Size = new System.Drawing.Size(33, 21);
            this.tbAddress.TabIndex = 5;
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(2, 14);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(89, 12);
            this.label8.TabIndex = 4;
            this.label8.Text = "DBW1区起始地址";
            // 
            // gbSerialPort
            // 
            this.gbSerialPort.Controls.Add(this.tbCommSettings);
            this.gbSerialPort.Controls.Add(this.label5);
            this.gbSerialPort.Controls.Add(this.tbPort);
            this.gbSerialPort.Controls.Add(this.label6);
            this.gbSerialPort.Location = new System.Drawing.Point(243, 36);
            this.gbSerialPort.Name = "gbSerialPort";
            this.gbSerialPort.Size = new System.Drawing.Size(343, 37);
            this.gbSerialPort.TabIndex = 36;
            this.gbSerialPort.TabStop = false;
            this.gbSerialPort.Text = "自由口通讯";
            this.gbSerialPort.Visible = false;
            // 
            // tbCommSettings
            // 
            this.tbCommSettings.Location = new System.Drawing.Point(189, 11);
            this.tbCommSettings.Name = "tbCommSettings";
            this.tbCommSettings.Size = new System.Drawing.Size(123, 21);
            this.tbCommSettings.TabIndex = 7;
            this.tbCommSettings.Text = "9600，None，8，One";
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(108, 17);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(77, 12);
            this.label5.TabIndex = 6;
            this.label5.Text = "通讯参数设置";
            // 
            // tbPort
            // 
            this.tbPort.Location = new System.Drawing.Point(66, 10);
            this.tbPort.Name = "tbPort";
            this.tbPort.Size = new System.Drawing.Size(37, 21);
            this.tbPort.TabIndex = 5;
            this.tbPort.Text = "1";
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(7, 14);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(53, 12);
            this.label6.TabIndex = 4;
            this.label6.Text = "串口编号";
            // 
            // gbSockects
            // 
            this.gbSockects.Controls.Add(this.tbremoteport);
            this.gbSockects.Controls.Add(this.label11);
            this.gbSockects.Controls.Add(this.tbremoteIP);
            this.gbSockects.Controls.Add(this.label14);
            this.gbSockects.Controls.Add(this.tblocalport);
            this.gbSockects.Controls.Add(this.label12);
            this.gbSockects.Controls.Add(this.tblocalIP);
            this.gbSockects.Controls.Add(this.label13);
            this.gbSockects.Location = new System.Drawing.Point(243, 36);
            this.gbSockects.Name = "gbSockects";
            this.gbSockects.Size = new System.Drawing.Size(343, 76);
            this.gbSockects.TabIndex = 38;
            this.gbSockects.TabStop = false;
            this.gbSockects.Text = "Sockets通讯";
            this.gbSockects.Visible = false;
            // 
            // tbremoteport
            // 
            this.tbremoteport.Location = new System.Drawing.Point(239, 44);
            this.tbremoteport.Name = "tbremoteport";
            this.tbremoteport.Size = new System.Drawing.Size(44, 21);
            this.tbremoteport.TabIndex = 11;
            this.tbremoteport.Text = "11000";
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Location = new System.Drawing.Point(185, 50);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(53, 12);
            this.label11.TabIndex = 10;
            this.label11.Text = "远程端口";
            // 
            // tbremoteIP
            // 
            this.tbremoteIP.Location = new System.Drawing.Point(53, 44);
            this.tbremoteIP.Name = "tbremoteIP";
            this.tbremoteIP.Size = new System.Drawing.Size(115, 21);
            this.tbremoteIP.TabIndex = 9;
            this.tbremoteIP.Text = "192.168.1.1";
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Location = new System.Drawing.Point(9, 50);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(41, 12);
            this.label14.TabIndex = 8;
            this.label14.Text = "远程IP";
            // 
            // tblocalport
            // 
            this.tblocalport.Location = new System.Drawing.Point(239, 14);
            this.tblocalport.Name = "tblocalport";
            this.tblocalport.Size = new System.Drawing.Size(44, 21);
            this.tblocalport.TabIndex = 7;
            this.tblocalport.Text = "11000";
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Location = new System.Drawing.Point(185, 20);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(53, 12);
            this.label12.TabIndex = 6;
            this.label12.Text = "本地端口";
            // 
            // tblocalIP
            // 
            this.tblocalIP.Location = new System.Drawing.Point(53, 14);
            this.tblocalIP.Name = "tblocalIP";
            this.tblocalIP.Size = new System.Drawing.Size(115, 21);
            this.tblocalIP.TabIndex = 5;
            this.tblocalIP.Text = "192.168.1.10";
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Location = new System.Drawing.Point(9, 20);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(41, 12);
            this.label13.TabIndex = 4;
            this.label13.Text = "本地IP";
            // 
            // tabPage2
            // 
            this.tabPage2.Controls.Add(this.button2);
            this.tabPage2.Controls.Add(this.tbContent);
            this.tabPage2.Controls.Add(this.btNullQuery);
            this.tabPage2.Controls.Add(this.btQuery);
            this.tabPage2.Controls.Add(this.label10);
            this.tabPage2.Controls.Add(this.cbField);
            this.tabPage2.Location = new System.Drawing.Point(4, 21);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage2.Size = new System.Drawing.Size(893, 237);
            this.tabPage2.TabIndex = 1;
            this.tabPage2.Text = "查询设备信息";
            this.tabPage2.UseVisualStyleBackColor = true;
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(478, 105);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(74, 21);
            this.button2.TabIndex = 40;
            this.button2.Text = "显示全部";
            this.button2.UseVisualStyleBackColor = true;
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // tbContent
            // 
            this.tbContent.Location = new System.Drawing.Point(301, 63);
            this.tbContent.Name = "tbContent";
            this.tbContent.Size = new System.Drawing.Size(145, 21);
            this.tbContent.TabIndex = 39;
            // 
            // btNullQuery
            // 
            this.btNullQuery.Location = new System.Drawing.Point(227, 105);
            this.btNullQuery.Name = "btNullQuery";
            this.btNullQuery.Size = new System.Drawing.Size(54, 21);
            this.btNullQuery.TabIndex = 38;
            this.btNullQuery.Text = "清空";
            this.btNullQuery.UseVisualStyleBackColor = true;
            this.btNullQuery.Click += new System.EventHandler(this.btNullQuery_Click);
            // 
            // btQuery
            // 
            this.btQuery.Location = new System.Drawing.Point(372, 105);
            this.btQuery.Name = "btQuery";
            this.btQuery.Size = new System.Drawing.Size(74, 21);
            this.btQuery.TabIndex = 36;
            this.btQuery.Text = "开始查询";
            this.btQuery.UseVisualStyleBackColor = true;
            this.btQuery.Click += new System.EventHandler(this.btQuery_Click);
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(84, 67);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(77, 12);
            this.label10.TabIndex = 35;
            this.label10.Text = "选择查询方法";
            // 
            // cbField
            // 
            this.cbField.FormattingEnabled = true;
            this.cbField.Items.AddRange(new object[] {
            "设备索引",
            "设备名称",
            "设备类型索引",
            "设备类型名称",
            "通讯接口类型"});
            this.cbField.Location = new System.Drawing.Point(167, 64);
            this.cbField.Name = "cbField";
            this.cbField.Size = new System.Drawing.Size(128, 20);
            this.cbField.TabIndex = 34;
            // 
            // tabPage3
            // 
            this.tabPage3.Controls.Add(this.tbDeviceIndex1);
            this.tabPage3.Controls.Add(this.label17);
            this.tabPage3.Controls.Add(this.button27);
            this.tabPage3.Controls.Add(this.button28);
            this.tabPage3.Controls.Add(this.listBox1);
            this.tabPage3.Controls.Add(this.button19);
            this.tabPage3.Controls.Add(this.button20);
            this.tabPage3.Controls.Add(this.button17);
            this.tabPage3.Controls.Add(this.button18);
            this.tabPage3.Controls.Add(this.label16);
            this.tabPage3.Controls.Add(this.cbBindingDeviceIndex);
            this.tabPage3.Location = new System.Drawing.Point(4, 21);
            this.tabPage3.Name = "tabPage3";
            this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage3.Size = new System.Drawing.Size(893, 237);
            this.tabPage3.TabIndex = 2;
            this.tabPage3.Text = "捆绑光电探物设备信息维护";
            this.tabPage3.UseVisualStyleBackColor = true;
            // 
            // tbDeviceIndex1
            // 
            this.tbDeviceIndex1.Location = new System.Drawing.Point(93, 19);
            this.tbDeviceIndex1.Name = "tbDeviceIndex1";
            this.tbDeviceIndex1.Size = new System.Drawing.Size(72, 21);
            this.tbDeviceIndex1.TabIndex = 89;
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Location = new System.Drawing.Point(4, 22);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(89, 12);
            this.label17.TabIndex = 88;
            this.label17.Text = "主设备唯一索引";
            // 
            // button27
            // 
            this.button27.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button27.Location = new System.Drawing.Point(370, 144);
            this.button27.Name = "button27";
            this.button27.Size = new System.Drawing.Size(42, 23);
            this.button27.TabIndex = 87;
            this.button27.Text = "↓";
            this.button27.UseVisualStyleBackColor = true;
            this.button27.Click += new System.EventHandler(this.button27_Click);
            // 
            // button28
            // 
            this.button28.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button28.Location = new System.Drawing.Point(370, 122);
            this.button28.Name = "button28";
            this.button28.Size = new System.Drawing.Size(42, 23);
            this.button28.TabIndex = 86;
            this.button28.Text = "↑";
            this.button28.UseVisualStyleBackColor = true;
            this.button28.Click += new System.EventHandler(this.button28_Click);
            // 
            // listBox1
            // 
            this.listBox1.FormattingEnabled = true;
            this.listBox1.ItemHeight = 12;
            this.listBox1.Location = new System.Drawing.Point(418, 58);
            this.listBox1.Name = "listBox1";
            this.listBox1.Size = new System.Drawing.Size(185, 112);
            this.listBox1.TabIndex = 85;
            // 
            // button19
            // 
            this.button19.Location = new System.Drawing.Point(370, 80);
            this.button19.Name = "button19";
            this.button19.Size = new System.Drawing.Size(42, 23);
            this.button19.TabIndex = 84;
            this.button19.Text = "删除";
            this.button19.UseVisualStyleBackColor = true;
            this.button19.Click += new System.EventHandler(this.button19_Click);
            // 
            // button20
            // 
            this.button20.Location = new System.Drawing.Point(370, 58);
            this.button20.Name = "button20";
            this.button20.Size = new System.Drawing.Size(42, 23);
            this.button20.TabIndex = 83;
            this.button20.Text = "增加";
            this.button20.UseVisualStyleBackColor = true;
            this.button20.Click += new System.EventHandler(this.button20_Click);
            // 
            // button17
            // 
            this.button17.Location = new System.Drawing.Point(500, 191);
            this.button17.Name = "button17";
            this.button17.Size = new System.Drawing.Size(54, 21);
            this.button17.TabIndex = 82;
            this.button17.Text = "保存";
            this.button17.UseVisualStyleBackColor = true;
            this.button17.Click += new System.EventHandler(this.button17_Click);
            // 
            // button18
            // 
            this.button18.Location = new System.Drawing.Point(315, 191);
            this.button18.Name = "button18";
            this.button18.Size = new System.Drawing.Size(54, 21);
            this.button18.TabIndex = 81;
            this.button18.Text = "清空";
            this.button18.UseVisualStyleBackColor = true;
            this.button18.Click += new System.EventHandler(this.button18_Click);
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Location = new System.Drawing.Point(171, 22);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(197, 12);
            this.label16.TabIndex = 80;
            this.label16.Text = "与此设备捆绑在一起的光电探物开关";
            // 
            // cbBindingDeviceIndex
            // 
            this.cbBindingDeviceIndex.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbBindingDeviceIndex.FormattingEnabled = true;
            this.cbBindingDeviceIndex.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbBindingDeviceIndex.Location = new System.Drawing.Point(376, 18);
            this.cbBindingDeviceIndex.Name = "cbBindingDeviceIndex";
            this.cbBindingDeviceIndex.Size = new System.Drawing.Size(185, 20);
            this.cbBindingDeviceIndex.TabIndex = 79;
            // 
            // tabPage4
            // 
            this.tabPage4.Controls.Add(this.tbDeviceIndex2);
            this.tabPage4.Controls.Add(this.label18);
            this.tabPage4.Controls.Add(this.btSaveJITLoop);
            this.tabPage4.Controls.Add(this.label19);
            this.tabPage4.Controls.Add(this.cbLoopButton);
            this.tabPage4.Location = new System.Drawing.Point(4, 21);
            this.tabPage4.Name = "tabPage4";
            this.tabPage4.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage4.Size = new System.Drawing.Size(893, 237);
            this.tabPage4.TabIndex = 3;
            this.tabPage4.Text = "JIT的开车到空位的请求按钮信息维护";
            this.tabPage4.UseVisualStyleBackColor = true;
            // 
            // tbDeviceIndex2
            // 
            this.tbDeviceIndex2.Location = new System.Drawing.Point(166, 30);
            this.tbDeviceIndex2.Name = "tbDeviceIndex2";
            this.tbDeviceIndex2.Size = new System.Drawing.Size(73, 21);
            this.tbDeviceIndex2.TabIndex = 94;
            // 
            // label18
            // 
            this.label18.AutoSize = true;
            this.label18.Location = new System.Drawing.Point(77, 33);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(89, 12);
            this.label18.TabIndex = 93;
            this.label18.Text = "主设备唯一索引";
            // 
            // btSaveJITLoop
            // 
            this.btSaveJITLoop.Location = new System.Drawing.Point(611, 88);
            this.btSaveJITLoop.Name = "btSaveJITLoop";
            this.btSaveJITLoop.Size = new System.Drawing.Size(54, 21);
            this.btSaveJITLoop.TabIndex = 92;
            this.btSaveJITLoop.Text = "保存";
            this.btSaveJITLoop.UseVisualStyleBackColor = true;
            this.btSaveJITLoop.Click += new System.EventHandler(this.btSaveJITLoop_Click);
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Location = new System.Drawing.Point(245, 33);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(275, 12);
            this.label19.TabIndex = 91;
            this.label19.Text = "与此设备捆绑在一起的JIT的开车到空位的请求按钮";
            // 
            // cbLoopButton
            // 
            this.cbLoopButton.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbLoopButton.FormattingEnabled = true;
            this.cbLoopButton.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbLoopButton.Location = new System.Drawing.Point(525, 30);
            this.cbLoopButton.Name = "cbLoopButton";
            this.cbLoopButton.Size = new System.Drawing.Size(185, 20);
            this.cbLoopButton.TabIndex = 90;
            this.cbLoopButton.SelectedIndexChanged += new System.EventHandler(this.cbLoopButton_SelectedIndexChanged);
            // 
            // tabPage5
            // 
            this.tabPage5.Controls.Add(this.tbDeviceIndex3);
            this.tabPage5.Controls.Add(this.label20);
            this.tabPage5.Controls.Add(this.btSaveWIAPause);
            this.tabPage5.Controls.Add(this.label21);
            this.tabPage5.Controls.Add(this.cbPauseWeighButton);
            this.tabPage5.Location = new System.Drawing.Point(4, 21);
            this.tabPage5.Name = "tabPage5";
            this.tabPage5.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage5.Size = new System.Drawing.Size(893, 237);
            this.tabPage5.TabIndex = 4;
            this.tabPage5.Text = "WIA的请求暂停称料按钮信息维护";
            this.tabPage5.UseVisualStyleBackColor = true;
            // 
            // tbDeviceIndex3
            // 
            this.tbDeviceIndex3.Location = new System.Drawing.Point(165, 26);
            this.tbDeviceIndex3.Name = "tbDeviceIndex3";
            this.tbDeviceIndex3.Size = new System.Drawing.Size(73, 21);
            this.tbDeviceIndex3.TabIndex = 94;
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Location = new System.Drawing.Point(76, 29);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(89, 12);
            this.label20.TabIndex = 93;
            this.label20.Text = "主设备唯一索引";
            // 
            // btSaveWIAPause
            // 
            this.btSaveWIAPause.Location = new System.Drawing.Point(607, 88);
            this.btSaveWIAPause.Name = "btSaveWIAPause";
            this.btSaveWIAPause.Size = new System.Drawing.Size(54, 21);
            this.btSaveWIAPause.TabIndex = 92;
            this.btSaveWIAPause.Text = "保存";
            this.btSaveWIAPause.UseVisualStyleBackColor = true;
            this.btSaveWIAPause.Click += new System.EventHandler(this.btSaveWIAPause_Click);
            // 
            // label21
            // 
            this.label21.AutoSize = true;
            this.label21.Location = new System.Drawing.Point(244, 29);
            this.label21.Name = "label21";
            this.label21.Size = new System.Drawing.Size(251, 12);
            this.label21.TabIndex = 91;
            this.label21.Text = "与此设备捆绑在一起的WIA的请求暂停称料按钮";
            // 
            // cbPauseWeighButton
            // 
            this.cbPauseWeighButton.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbPauseWeighButton.FormattingEnabled = true;
            this.cbPauseWeighButton.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbPauseWeighButton.Location = new System.Drawing.Point(516, 25);
            this.cbPauseWeighButton.Name = "cbPauseWeighButton";
            this.cbPauseWeighButton.Size = new System.Drawing.Size(185, 20);
            this.cbPauseWeighButton.TabIndex = 90;
            this.cbPauseWeighButton.SelectedIndexChanged += new System.EventHandler(this.cbPauseWeighButton_SelectedIndexChanged);
            // 
            // tabPage6
            // 
            this.tabPage6.Controls.Add(this.tbDeviceIndex4);
            this.tabPage6.Controls.Add(this.label22);
            this.tabPage6.Controls.Add(this.btSaveContainer);
            this.tabPage6.Controls.Add(this.label23);
            this.tabPage6.Controls.Add(this.cbContainerType);
            this.tabPage6.Location = new System.Drawing.Point(4, 21);
            this.tabPage6.Name = "tabPage6";
            this.tabPage6.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage6.Size = new System.Drawing.Size(893, 237);
            this.tabPage6.TabIndex = 5;
            this.tabPage6.Text = "JIT/WIA容器类型检测光电信息维护";
            this.tabPage6.UseVisualStyleBackColor = true;
            // 
            // tbDeviceIndex4
            // 
            this.tbDeviceIndex4.Location = new System.Drawing.Point(168, 29);
            this.tbDeviceIndex4.Name = "tbDeviceIndex4";
            this.tbDeviceIndex4.Size = new System.Drawing.Size(73, 21);
            this.tbDeviceIndex4.TabIndex = 94;
            // 
            // label22
            // 
            this.label22.AutoSize = true;
            this.label22.Location = new System.Drawing.Point(80, 31);
            this.label22.Name = "label22";
            this.label22.Size = new System.Drawing.Size(89, 12);
            this.label22.TabIndex = 93;
            this.label22.Text = "主设备唯一索引";
            // 
            // btSaveContainer
            // 
            this.btSaveContainer.Location = new System.Drawing.Point(613, 78);
            this.btSaveContainer.Name = "btSaveContainer";
            this.btSaveContainer.Size = new System.Drawing.Size(54, 21);
            this.btSaveContainer.TabIndex = 92;
            this.btSaveContainer.Text = "保存";
            this.btSaveContainer.UseVisualStyleBackColor = true;
            this.btSaveContainer.Click += new System.EventHandler(this.btSaveContainer_Click);
            // 
            // label23
            // 
            this.label23.AutoSize = true;
            this.label23.Location = new System.Drawing.Point(247, 31);
            this.label23.Name = "label23";
            this.label23.Size = new System.Drawing.Size(263, 12);
            this.label23.TabIndex = 91;
            this.label23.Text = "与此设备捆绑在一起的JIT/WIA容器类型检测光电";
            // 
            // cbContainerType
            // 
            this.cbContainerType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbContainerType.FormattingEnabled = true;
            this.cbContainerType.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbContainerType.Location = new System.Drawing.Point(517, 28);
            this.cbContainerType.Name = "cbContainerType";
            this.cbContainerType.Size = new System.Drawing.Size(185, 20);
            this.cbContainerType.TabIndex = 90;
            // 
            // dataGridView1
            // 
            this.dataGridView1.AllowUserToAddRows = false;
            this.dataGridView1.AllowUserToDeleteRows = false;
            this.dataGridView1.AllowUserToOrderColumns = true;
            this.dataGridView1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataGridView1.ContextMenuStrip = this.contextMenuStrip1;
            this.dataGridView1.Location = new System.Drawing.Point(12, 276);
            this.dataGridView1.Name = "dataGridView1";
            this.dataGridView1.ReadOnly = true;
            this.dataGridView1.RowTemplate.Height = 23;
            this.dataGridView1.Size = new System.Drawing.Size(1004, 351);
            this.dataGridView1.TabIndex = 17;
            // 
            // btSelectOK
            // 
            this.btSelectOK.Location = new System.Drawing.Point(915, 169);
            this.btSelectOK.Name = "btSelectOK";
            this.btSelectOK.Size = new System.Drawing.Size(70, 21);
            this.btSelectOK.TabIndex = 19;
            this.btSelectOK.Text = "确认选择";
            this.btSelectOK.UseVisualStyleBackColor = true;
            this.btSelectOK.Click += new System.EventHandler(this.btSelectOK_Click);
            // 
            // FrmDeviceEdit
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(1028, 686);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.btSelectOK);
            this.Controls.Add(this.dataGridView1);
            this.Controls.Add(this.btBack);
            this.Name = "FrmDeviceEdit";
            this.Text = "设备信息维护";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.Load += new System.EventHandler(this.FrmDeviceEdit_Load);
            this.contextMenuStrip1.ResumeLayout(false);
            this.tabControl1.ResumeLayout(false);
            this.tabPage1.ResumeLayout(false);
            this.tabPage1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbPicture)).EndInit();
            this.gbCp5611.ResumeLayout(false);
            this.gbCp5611.PerformLayout();
            this.gbSerialPort.ResumeLayout(false);
            this.gbSerialPort.PerformLayout();
            this.gbSockects.ResumeLayout(false);
            this.gbSockects.PerformLayout();
            this.tabPage2.ResumeLayout(false);
            this.tabPage2.PerformLayout();
            this.tabPage3.ResumeLayout(false);
            this.tabPage3.PerformLayout();
            this.tabPage4.ResumeLayout(false);
            this.tabPage4.PerformLayout();
            this.tabPage5.ResumeLayout(false);
            this.tabPage5.PerformLayout();
            this.tabPage6.ResumeLayout(false);
            this.tabPage6.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.ContextMenuStrip contextMenuStrip1;
        private System.Windows.Forms.ToolStripMenuItem tsmEdit;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripMenuItem tsmDel;
        private System.Windows.Forms.Button btBack;
        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.TabPage tabPage1;
        private System.Windows.Forms.GroupBox gbCp5611;
        private System.Windows.Forms.TextBox tbGetLength;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.TextBox tbSendLength;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.TextBox tbAddress;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.GroupBox gbSerialPort;
        private System.Windows.Forms.TextBox tbCommSettings;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.TextBox tbPort;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.Button btSave;
        private System.Windows.Forms.Button btNull;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.Button btDeviceKind;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.ComboBox cbCommType;
        private System.Windows.Forms.TextBox tbDeviceIndex;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.TabPage tabPage2;
        private System.Windows.Forms.Button btQuery;
        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.ComboBox cbField;
        private System.Windows.Forms.DataGridView dataGridView1;
        private System.Windows.Forms.Button btNullQuery;
        private System.Windows.Forms.TextBox tbContent;
        public System.Windows.Forms.TextBox tbDeviceKindIndex;
        private System.Windows.Forms.Button btSelectOK;
        private System.Windows.Forms.Button button1;
        private System.Windows.Forms.GroupBox gbSockects;
        private System.Windows.Forms.TextBox tbremoteport;
        private System.Windows.Forms.Label label11;
        private System.Windows.Forms.TextBox tbremoteIP;
        private System.Windows.Forms.Label label14;
        private System.Windows.Forms.TextBox tblocalport;
        private System.Windows.Forms.Label label12;
        private System.Windows.Forms.TextBox tblocalIP;
        private System.Windows.Forms.Label label13;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.ComboBox cbLockedState;
        private System.Windows.Forms.CheckBox chbDeviceVisual;
        private System.Windows.Forms.CheckBox chbWaitPallet;
        private System.Windows.Forms.CheckBox chbEndNode;
        private System.Windows.Forms.TextBox tbControlName;
        private System.Windows.Forms.Label lblctrolname;
        private System.Windows.Forms.Label lblpic;
        private System.Windows.Forms.ComboBox cbPicture;
        private System.Windows.Forms.PictureBox pbPicture;
        private System.Windows.Forms.Button button2;
        private System.Windows.Forms.TabPage tabPage3;
        private System.Windows.Forms.Button button27;
        private System.Windows.Forms.Button button28;
        private System.Windows.Forms.ListBox listBox1;
        private System.Windows.Forms.Button button19;
        private System.Windows.Forms.Button button20;
        private System.Windows.Forms.Button button17;
        private System.Windows.Forms.Button button18;
        private System.Windows.Forms.Label label16;
        private System.Windows.Forms.ComboBox cbBindingDeviceIndex;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator2;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem1;
        private System.Windows.Forms.TextBox tbDeviceIndex1;
        private System.Windows.Forms.Label label17;
        private System.Windows.Forms.CheckBox chbNeedOptimize;
        public System.Windows.Forms.TextBox tbDeviceName;
        private System.Windows.Forms.CheckBox chbCollectPut;
        private System.Windows.Forms.TabPage tabPage4;
        private System.Windows.Forms.TabPage tabPage5;
        private System.Windows.Forms.TabPage tabPage6;
        private System.Windows.Forms.TextBox tbDeviceIndex2;
        private System.Windows.Forms.Label label18;
        private System.Windows.Forms.Button btSaveJITLoop;
        private System.Windows.Forms.Label label19;
        private System.Windows.Forms.ComboBox cbLoopButton;
        private System.Windows.Forms.TextBox tbDeviceIndex3;
        private System.Windows.Forms.Label label20;
        private System.Windows.Forms.Button btSaveWIAPause;
        private System.Windows.Forms.Label label21;
        private System.Windows.Forms.ComboBox cbPauseWeighButton;
        private System.Windows.Forms.TextBox tbDeviceIndex4;
        private System.Windows.Forms.Label label22;
        private System.Windows.Forms.Button btSaveContainer;
        private System.Windows.Forms.Label label23;
        private System.Windows.Forms.ComboBox cbContainerType;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator3;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem2;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator4;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem3;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator5;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem4;
        private System.Windows.Forms.CheckBox chbCreateLock;
        private System.Windows.Forms.TextBox textBox1;
        private System.Windows.Forms.TextBox tbAddress2;
        private System.Windows.Forms.Label label24;


    }
}